<!--
   Copyright (c) 2000,2001 Dave Carrigan <dave@rudedog.org>
   All rights reserved.
      
   This module is free software; you can redistribute it and/or modify
   it under the same terms as Apache itself. This module is
   distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE. The copyright holder of this
   module can not be held liable for any general, special, incidental
   or consequential damages arising out of the use of the module.

   $Id: auth_ldap.dtd,v 1.2 2001/02/16 23:06:20 dave Exp $
-->

<!ENTITY % inlines "modulename | emph | directive | directive-value | filename | command | link | email | config | vartext | filter | dn | attribute | attrval | username ">

<!ENTITY % blocks "p | table | list" >

<!ELEMENT module (intro, section+, acks, copyright)>
<!ATTLIST module title CDATA #REQUIRED>

<!ELEMENT intro ( %blocks; )+ >

<!ELEMENT section (section | directive-doc | %blocks; )+>

<!ATTLIST section 
        title CDATA #REQUIRED
        anchor CDATA #REQUIRED
>

<!ELEMENT p (#PCDATA | %inlines;)* >

<!ELEMENT directive-doc (syntax, ( %blocks; )+) >
<!ATTLIST directive-doc
          name CDATA #REQUIRED
          context CDATA #REQUIRED
          override CDATA #REQUIRED
          status CDATA #REQUIRED
          module CDATA #REQUIRED
>
<!ELEMENT syntax (syn-value | syn-flag) >
<!ELEMENT syn-value (#PCDATA)>
<!ELEMENT syn-flag EMPTY>
<!ATTLIST syn-flag default ( on | off ) "on">

<!ELEMENT table ( tr+ ) >
<!ATTLIST table
        bgcolor CDATA "#ffffff"
>
<!ELEMENT tr ( th | td )+ >
<!ATTLIST tr 
        valign CDATA "top"
>
<!ELEMENT th ( #PCDATA | %inlines; )* >
<!ATTLIST th
        colspan CDATA "1"
        align ( left | right | center ) "center"
>
<!ELEMENT td ( #PCDATA | %blocks; | %inlines; )* >
<!ATTLIST td 
  colspan CDATA "1"
  align ( left | right | center ) "left"
>

<!ELEMENT modulename (#PCDATA) >
<!ELEMENT emph (#PCDATA) >
<!ELEMENT directive (#PCDATA) >
<!ELEMENT directive-value (#PCDATA) >
<!ELEMENT filename (#PCDATA) >
<!ELEMENT command (#PCDATA) >
<!ELEMENT link (#PCDATA | %inlines; )* >
<!ELEMENT email (#PCDATA) >
<!ATTLIST email addr CDATA #REQUIRED>
<!ATTLIST link href CDATA #REQUIRED>

<!ELEMENT list (item+)>
<!ATTLIST list type ( bullet | numbered ) "bullet">

<!ELEMENT item (#PCDATA | %blocks; | %inlines;)* >

<!ELEMENT filter (#PCDATA | filtcolor | vartext)* >
<!ELEMENT vartext (#PCDATA) >
<!ELEMENT filtcolor (#PCDATA) >
<!ATTLIST filtcolor color CDATA #REQUIRED >

<!ELEMENT attribute (#PCDATA) >
<!ELEMENT attrval (#PCDATA) >
<!ELEMENT username (#PCDATA) >
<!ELEMENT dn (#PCDATA) >

<!ELEMENT config (#PCDATA) >

<!ELEMENT acks ( ack+ ) >
<!ELEMENT ack ( #PCDATA | %inlines; )* >
<!ATTLIST ack
        email CDATA #REQUIRED
        name CDATA #REQUIRED
>
<!ELEMENT copyright ( holder+, p+)>
<!ATTLIST copyright
        address CDATA #REQUIRED
>
<!ELEMENT holder (#PCDATA) >
<!ATTLIST holder years CDATA #REQUIRED>
